# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.mandrivaclub.nl

%define name    VirtualBox-OSE-kernel
%define version 1.3.6
%define release 1.2007mcnl
%define summary virtualization server
%define section More Applications/Emulators

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.virtualbox.org/
License:        GPL
Group:          Emulators

Source1:        vboxdrv-2.6.17-5mdv.ko.gz
Source2:        vboxdrv-2.6.17-6mdv.ko.gz
Source3:        vboxdrv-2.6.17-8mdv.ko.gz
Source4:        vboxdrv-2.6.17-10mdv.ko.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description 
VirtualBoxOSE module for kernel

%package -n	%{name}-2.6.17-5mdv
Summary:    	VirtualBox-OSE kernel 2.6.17.5mdv module 
Group:      	Emulators
License:	GPL
Provides:	vboxdrv
Obsoletes:  	virtualboxOSE-kernel-2.6.17-5mdv

%description -n %{name}-2.6.17-5mdv
VirtualBox-OSE kernel module for kernel 2.6.17.5mdv 


%package -n	%{name}-2.6.17-6mdv
Summary:    	VirtualBox-OSE kernel 2.6.17.6mdv module 
Group:      	Emulators
License:	GPL
Provides:	vboxdrv
Obsoletes:  	virtualboxOSE-kernel-2.6.17-6mdv

%description -n %{name}-2.6.17-6mdv
VirtualBox-OSE kernel module for kernel 2.6.17.6mdv 

%package -n	%{name}-2.6.17-8mdv
Summary:    	VirtualBox-OSE kernel 2.6.17.8mdv module 
Group:      	Emulators
License:	GPL
Provides:	vboxdrv
Obsoletes:  	virtualboxOSE-kernel-2.6.17-8mdv

%description -n %{name}-2.6.17-8mdv
VirtualBox-OSE kernel module for kernel 2.6.17.8mdv 

%package -n	%{name}-2.6.17-10mdv
Summary:    	VirtualBox-OSE kernel 2.6.17.10mdv module 
Group:      	Emulators
License:	GPL
Provides:	vboxdrv
Obsoletes:  	virtualboxOSE-kernel-2.6.17-10mdv

%description -n %{name}-2.6.17-10mdv
VirtualBox-OSE kernel module for kernel 2.6.17.10mdv 

%prep
rm -rf %{buildroot}

%build

%install
rm -rf %{buildroot}

# install kernel drivers
mkdir -p %{buildroot}/lib/modules/2.6.17-5mdv/kernel/3rdparty/vbox
%__install -m644 %{SOURCE1} %{buildroot}/lib/modules/2.6.17-5mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

mkdir -p %{buildroot}/lib/modules/2.6.17-6mdv/kernel/3rdparty/vbox
%__install -m644 %{SOURCE2} %{buildroot}/lib/modules/2.6.17-6mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

mkdir -p %{buildroot}/lib/modules/2.6.17-8mdv/kernel/3rdparty/vbox
%__install -m644 %{SOURCE3} %{buildroot}/lib/modules/2.6.17-8mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

mkdir -p %{buildroot}/lib/modules/2.6.17-10mdv/kernel/3rdparty/vbox
%__install -m644 %{SOURCE3} %{buildroot}/lib/modules/2.6.17-10mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

%post -n	%{name}-2.6.17-5mdv
/sbin/depmod -a

%postun -n	%{name}-2.6.17-5mdv
/sbin/depmod -a

%post -n	%{name}-2.6.17-6mdv
/sbin/depmod -a

%postun -n	%{name}-2.6.17-6mdv
/sbin/depmod -a

%post -n	%{name}-2.6.17-8mdv
/sbin/depmod -a

%postun -n	%{name}-2.6.17-8mdv
/sbin/depmod -a

%post -n	%{name}-2.6.17-10mdv
/sbin/depmod -a

%postun -n	%{name}-2.6.17-10mdv
/sbin/depmod -a


%clean 
rm -rf $RPM_BUILD_ROOT 

%files -n	%{name}-2.6.17-5mdv
%defattr(-,root,root,0755) 
/lib/modules/2.6.17-5mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

%files -n	%{name}-2.6.17-6mdv
%defattr(-,root,root,0755) 
/lib/modules/2.6.17-6mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

%files -n	%{name}-2.6.17-8mdv
%defattr(-,root,root,0755) 
/lib/modules/2.6.17-8mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

%files -n	%{name}-2.6.17-10mdv
%defattr(-,root,root,0755) 
/lib/modules/2.6.17-10mdv/kernel/3rdparty/vbox/vboxdrv.ko.gz

%changelog 

*Wed Feb 28 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.6-1.2007mcnl
new version  1.3.6 (final)

*Wed Feb 21 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.99-070221.2007mcnl
first build for mandrivaclub.nl

*Sat Jan 20 2007 Marco Meijer <marco@mandrivaclub.nl> 1.3.3-1.2007mcnl
first build for mandrivaclub.nl


